package org.apache.maven.archiva.database;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import org.codehaus.plexus.PlexusTestCase;
import org.codehaus.plexus.util.FileUtils;

import java.io.File;

/**
 * AbstractArchivaDatabaseTestCase 
 *
 * @author <a href="mailto:joakim@erdfelt.com">Joakim Erdfelt</a>
 * @version $Id: AbstractArchivaDatabaseTestCase.java 512448 2007-02-27 22:17:45Z joakime $
 */
public class AbstractArchivaDatabaseTestCase
    extends PlexusTestCase
{
    protected void setUp()
        throws Exception
    {
        File derbyDbDir = new File( "target/plexus-home/testdb" );
        if ( derbyDbDir.exists() )
        {
            FileUtils.deleteDirectory( derbyDbDir );
        }

        super.setUp();
    }
}
